gnomeprint.ui.Preview
Prev | The Gnomeprintui Class Reference | Next

## gnomeprint.ui.Preview

gnomeprint.ui.Preview — Preview object for GnomePrintui

## Synopsis

    class gnomeprint.ui.Preview(gnomeprint.Context):
        gnomeprint.ui.Preview(config, canvas)

## Ancestry

    +-- gobject.GObject
      +-- gnomeprint.Context
        +-- gnomeprint.ui.Preview

## Properties

"group" | Read-Write | Group.
"use-theme" | Read-Write | Use theme. Default value: `FALSE`
"theme-compliance" | Read-Write | Theme compliance. Default value: `TRUE`

## Description

## Constructor

        gnomeprint.ui.Preview(config, canvas)

`config` : | a `gnomeprint.Config`.
`canvas` : | a `gnomeprint.Canvas` on which we display the print preview.
Returns : | a new `gnomeprint.ui.Preview`.

Creates a new `gnomeprint.ui.Preview` object that use the `canvas` `gnomeprint.Canvas` as its rendering backend.

Prev | Up | Next
gnomeprint.ui.JobPreview | Home | gnomeprint.ui.PaperSelector